### Method

# WebKit2WebExtension DOMDocument get_elements_by_tag_name_as_html_collection

deprecated: 2.22 since: 2.12

#### Declaration [src]

    WebKitDOMHTMLCollection*
    webkit_dom_document_get_elements_by_tag_name_as_html_collection (
      WebKitDOMDocument* self,
      const gchar* tagname
    )

#### Description

No description available.

Available since: 2.12

Deprecated since: 2.22

Use JavaScriptCore API instead.

#### Parameters

`tagname`

  Type: `const gchar*`

  A #gchar.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WebKitDOMHTMLCollection`

A `WebKitDOMHTMLCollection`.

The caller of the method takes ownership of the data, and is responsible for freeing it.